<!doctype html>
<html lang="pt-br">
    <head>
        <meta charset="utf-8">
        <title>Latam</title>
        <link href="lms/assets/css/lms.min.css" rel="stylesheet" type="text/css">
		<script src="lms/assets/plugins/jquery-1.11.3.min.js"></script>
        <script src="lms/assets/plugins/SCORM_API_wrapper.js"></script>
        <script>
		var lms = {
			
			connected:false, 
			version:null, 
			
			connect:function(){
				lms.connected = pipwerks.SCORM.init();
				if(lms.connected){
					
					if(!lms.version)
						lms.version = pipwerks.SCORM.version;
					
					var status = lms.lesson_status.get();
					switch(status){
						case 'completed':
							$('.lms-frame').attr('src', 'lms/completed.html');
						break;
						
						default:
							var location = lms.lesson_location.get();
							if(location)
								$('.lms-frame').attr('src', 'content/'+location);
							else
								$('.lms-frame').attr('src', 'content/index.html');
					}										
					lms.resize();
				}
			}, 
			
			disconnect:function(){
				if(lms.connected)
					pipwerks.SCORM.quit();
			}, 
			
			resize:function(){
				$('.lms-frame').height($(window).height());
				$(window).bind('resize', function(e){
					$('.lms-frame').height($(window).height());				
				});
			}, 
			
			lesson_location:{
				get:function(){
					switch (lms.version){
						case '1.2': return pipwerks.SCORM.get('cmi.core.lesson_location'); break;
						case '2004': return pipwerks.SCORM.get('cmi.location'); break;
					}
				}, 
				set:function(value){
					switch (lms.version){
						case '1.2': pipwerks.SCORM.set('cmi.core.lesson_location', value); break;
						case '2004': pipwerks.SCORM.set('cmi.location', value); break;
					}
					pipwerks.SCORM.save();
				}
			}, 
			
			lesson_status:{
				get:function(){
					switch (lms.version){
						case '1.2': return pipwerks.SCORM.get('cmi.core.lesson_status'); break;
						case '2004': return pipwerks.SCORM.get('cmi.completion_status'); break;
					}
				}, 
				set:function(value){
					switch (lms.version){
						case '1.2': pipwerks.SCORM.set('cmi.core.lesson_status', value); break;
						case '2004': pipwerks.SCORM.set('cmi.completion_status', value); break;
					}
					pipwerks.SCORM.save();
				}
			}, 

			score_raw:{
				get:function(){
					switch (lms.version){
						case '1.2': return pipwerks.SCORM.get('cmi.core.score.raw'); break;
						case '2004': return pipwerks.SCORM.get('cmi.score.raw'); break;
					}
				}, 
				set:function(value){
					switch (lms.version){
						case '1.2': pipwerks.SCORM.set('cmi.core.score.raw', value); break;
						case '2004': pipwerks.SCORM.set('cmi.score.raw', value); break;
					}
					pipwerks.SCORM.save();
				}
			}, 
			
			suspend_data:{
				get:function(){
					switch (lms.version){
						case '1.2': return pipwerks.SCORM.get('cmi.suspend_data'); break;
						case '2004': return pipwerks.SCORM.get('cmi.suspend_data'); break;
					}
				}, 
				set:function(value){
					switch (lms.version){
						case '1.2': pipwerks.SCORM.set('cmi.suspend_data', value); break;
						case '2004': pipwerks.SCORM.set('cmi.suspend_data', value); break;
					}
					pipwerks.SCORM.save();
				}
			}
		};

		$(document).ready(function(e){
			lms.connect();
        });
        </script>
    </head>
    <body class="lms-body">
    	<iframe name="lms" src="lms/blank.html" class="lms-frame" frameborder="0" noresize="noresize"></iframe>
    </body>
</html>
